@salt431 opened this Issue on July 18th 2021

Before posting, please make sure that this hasn't already been reported by someone else.

Description

What went wrong:
A problem occurred configuring root project 'Wurst7-master'.

Could not resolve all artifacts for configuration ':classpath'.
Could not resolve net.fabricmc:fabric-loom:0.8.3.
Required by:
project : > fabric-loom:fabric-loom.gradle.plugin:0.8.3
No matching variant of net.fabricmc:fabric-loom:0.8.3 was found. The consumer was configured to find a runtime of a library compatible with Java 8, packaged as a jar, and its dependencies declared externally, as well as attribute 'org.gradle.plugin.api-version' with value '7.0.1' but:

  • Variant 'apiElements' capability net.fabricmc:fabric-loom:0.8.3 declares a library, packaged as a jar, and its dependencies declared externally:
  • Incompatible because this component declares an API of a component compatible with Java 16 and the consumer needed a runtime of a component compatible with Java 8
  • Other compatible attribute:
  • Doesn't say anything about org.gradle.plugin.api-version (required '7.0.1')
  • Variant 'runtimeElements' capability net.fabricmc:fabric-loom:0.8.3 declares a runtime of a library, packaged as a jar, and its dependencies declared externally:
  • Incompatible because this component declares a component compatible with Java 16 and the consumer needed a component compatible with Java 8
  • Other compatible attribute:
  • Doesn't say anything about org.gradle.plugin.api-version (required '7.0.1')
  • Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

  • Get more help at https://help.gradle.org

Deprecated Gradle features were used in this build, making it incompatible with Gradle 8.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/7.0.1/userguide/command_line_interface.html#sec:command_line_warnings

Steps To Reproduce

Please make a list of steps to reproduce the problem (ideally from a fresh Wurst installation):

  1. download source code
  2. open command prompt
  3. try gensources and error will occur in windows

Screenshots / Videos (Optional)

If applicable, add screenshots, videos or other files to help explain the problem.

Crash Report

Please find your crash report file at "%appdata%/.minecraft/crash-reports", open the file in a text editor and copy-paste its content below.


(crash report goes here)

Please note: If the game did not crash, please hold down F3+C for 10 seconds to generate a crash report. Even when a bug doesn't cause the game to crash, this file still contains useful information that can help us to find and fix the problem. Because of this, please always include a crash report.